-- Add new fields that specify the default billing settings of tasks
-- These settings are used when creating new projects for a client
ALTER TABLE client ADD taskBillable BOOLEAN;
ALTER TABLE client ADD taskQuantityType INTEGER;
ALTER TABLE client ADD taskPrice NUMERIC;
ALTER TABLE client ADD taskPriceCurrency VARCHAR(255);
ALTER TABLE client ADD taskUnitOfMeasure VARCHAR(50);
ALTER TABLE client ADD taskTimeRoundingMode INTEGER;
ALTER TABLE client ADD taskTimeRoundingCalculation INTEGER;
ALTER TABLE client ADD taskTimeRoundingInterval INTEGER;
ALTER TABLE client ADD taskTimeMinimumInterval INTEGER;
ALTER TABLE client ADD taskTimeRoundingEnabled BOOLEAN;

UPDATE client SET taskBillable=TRUE;
UPDATE client SET taskQuantityType=1;
UPDATE client SET taskUnitOfMeasure='hour';
UPDATE client SET taskPrice=0.0;
UPDATE client SET taskPriceCurrency=(SELECT business.defaultcurrency FROM business where client.businessid=business.businessid);
UPDATE client SET taskTimeRoundingMode=(SELECT business.roundingmode FROM business where client.businessid=business.businessid);
UPDATE client SET taskTimeRoundingCalculation=(SELECT business.roundingcalculation FROM business where client.businessid=business.businessid);
UPDATE client SET taskTimeRoundingInterval=(SELECT business.roundinginterval FROM business where client.businessid=business.businessid);
UPDATE client SET taskTimeMinimumInterval=(SELECT business.minimuminterval FROM business where client.businessid=business.businessid);
UPDATE client SET taskTimeRoundingEnabled=(SELECT business.enabled FROM business where client.businessid=business.businessid);